Bug 260219 - [PATCH] x11-wm/nscde: update to 1.4
Summary: [PATCH] x11-wm/nscde: update to 1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-04 20:33 UTC by Chris Moerz
Modified: 2021-12-08 02:05 UTC (History)
1 user (show)

See Also:


Attachments
patch for update x11-wm/nscde 1.4 (20.18 KB, patch)
2021-12-04 20:33 UTC, Chris Moerz
freebsd: maintainer-approval+
Details | Diff
Poudriere Log for FreeBSD 12.2 (107.92 KB, text/plain)
2021-12-04 20:34 UTC, Chris Moerz
no flags Details
patch for update x11-wm/nscde 1.4 (20.52 KB, patch)
2021-12-07 18:08 UTC, Chris Moerz
freebsd: maintainer-approval+
Details | Diff
Poudriere Log for FreeBSD 12.2 (107.93 KB, text/plain)
2021-12-07 18:09 UTC, Chris Moerz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Moerz 2021-12-04 20:33:20 UTC
Created attachment 229903 [details]
patch for update x11-wm/nscde 1.4

As stated in title: patch for updating nscde to upstream version 1.4

* tested for about a week - works as expected
* portlint and portclippy applied as usual
* imagemagick dependency removed from options, relying on DEFAULT versions in /etc/make.conf instead
* added option for choosing ksh version; default switched to ksh2020 because it compiles and works on arm64

poudriere log will follow in a moment
Comment 1 Chris Moerz 2021-12-04 20:34:04 UTC
Created attachment 229904 [details]
Poudriere Log for FreeBSD 12.2

Successful poudriere run for 12.2
Comment 2 Chris Moerz 2021-12-07 18:08:28 UTC
Created attachment 229959 [details]
patch for update x11-wm/nscde 1.4

Further testing has unearthed a missed patch / bug, which I've now fixed in the attached, updated patch. 

portclippy and portline redone and still good.

Poudriere log update will follow in a moment.
Comment 3 Chris Moerz 2021-12-07 18:09:12 UTC
Created attachment 229960 [details]
Poudriere Log for FreeBSD 12.2

Updated poudriere log as previously announced
Comment 4 Hiroki Tagato freebsd_committer 2021-12-08 02:05:29 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2021-12-08 02:05:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2a2c8c6c8212db7ea154ef08de6a1fdeed19c89a

commit 2a2c8c6c8212db7ea154ef08de6a1fdeed19c89a
Author:     Chris Moerz <freebsd@ny-central.org>
AuthorDate: 2021-12-08 01:59:37 +0000
Commit:     Hiroki Tagato <tagattie@FreeBSD.org>
CommitDate: 2021-12-08 02:03:28 +0000

    x11-wm/nscde: update to 1.4

    Port changes:
    * imagemagick dependency removed from options, relying on DEFAULT versions in /etc/make.conf instead
    * added option for choosing ksh version; default switched to ksh2020 because it compiles and works on arm64
    * add WWW to pkg-descr
    * convert pkg-message to UCL format

    Upstream changes: https://github.com/NsCDE/NsCDE/releases/tag/1.4

    PR:             260219
    Reported by:    Chris Moerz <freebsd@ny-central.org> (maintainer)

 x11-wm/nscde/Makefile                              | 53 +++++++++++++---------
 x11-wm/nscde/distinfo                              |  6 +--
 x11-wm/nscde/files/patch-NsCDE_bin_fpclock (gone)  | 44 ------------------
 .../patch-NsCDE_config_NsCDE-Functions.conf (gone) | 11 -----
 x11-wm/nscde/pkg-descr                             |  2 +
 x11-wm/nscde/pkg-message                           |  7 ++-
 x11-wm/nscde/pkg-plist                             | 24 +++++++---
 7 files changed, 59 insertions(+), 88 deletions(-)